# Class: GraphicPolylin

## GraphicPolylin()

#### new GraphicPolylin()

Source:
  - GraphicPolylin.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<GraphicPolylin>}

构造一个新的 GraphicPolylin 对象。

Source:
  - GraphicPolylin.js, line 33

##### Returns:

Type
  Promise.<GraphicPolylin>

#### (async, static) getLength() → {Promise.<Number>}

获取线的长度

Source:
  - GraphicPolylin.js, line 86

##### Returns:

Type
  Promise.<Number>

#### (async, static) getLineWidth() → {Promise.<Number>}

获取线的宽度

Source:
  - GraphicPolylin.js, line 67

##### Returns:

Type
  Promise.<Number>

#### (async, static) setFillTexture(image) → {Promise.<void>}

设置线的填充纹理 要求纹理的宽高为2的幂。

##### Parameters:

Name | Type | Description
--- | --- | ---
`image` | Image | 填充图片

Source:
  - GraphicPolylin.js, line 106

##### Returns:

Type
  Promise.<void>

#### (async, static) setLineWidth(width) → {Promise.<void>}

设置线宽

##### Parameters:

Name | Type | Description
--- | --- | ---
`width` | Number |

Source:
  - GraphicPolylin.js, line 50

##### Returns:

Type
  Promise.<void>